set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_050000 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2013.01.01'
,p_release=>'5.0.1.00.06'
,p_default_workspace_id=>1810309704552073
,p_default_application_id=>100
,p_default_owner=>'PS_APEX'
);
end;
/
prompt --application/set_environment
 
prompt APPLICATION 100 - PowerSchool Enterprise Reporting
--
-- Application Export:
--   Application:     100
--   Name:            PowerSchool Enterprise Reporting
--   Date and Time:   18:10 Thursday July 27, 2017
--   Exported By:     JMORGAN
--   Flashback:       0
--   Export Type:     Page Export
--   Version:         5.0.1.00.06
--   Instance ID:     108808852183393
--

prompt --application/pages/delete_01005
begin
wwv_flow_api.remove_page (p_flow_id=>wwv_flow.g_flow_id, p_page_id=>1005);
end;
/
prompt --application/pages/page_01005
begin
wwv_flow_api.create_page(
 p_id=>1005
,p_user_interface_id=>wwv_flow_api.id(8362380160933122)
,p_name=>'Gradebook Grades'
,p_page_mode=>'NORMAL'
,p_step_title=>'Gradebook Grades'
,p_step_sub_title=>'Gradebook Grades'
,p_step_sub_title_type=>'TEXT_WITH_SUBSTITUTIONS'
,p_first_item=>'NO_FIRST_ITEM'
,p_page_template_options=>'#DEFAULT#'
,p_overwrite_navigation_list=>'Y'
,p_page_is_public_y_n=>'N'
,p_cache_mode=>'NOCACHE'
,p_help_text=>'No help is available for this page.'
,p_last_updated_by=>'jmorgan'
,p_last_upd_yyyymmddhh24miss=>'20170727180922'
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1978337725735710)
,p_plug_name=>'Breadcrumb'
,p_region_template_options=>'#DEFAULT#:t-BreadcrumbRegion--useBreadcrumbTitle'
,p_component_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(8339662061932961)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'N'
,p_plug_display_point=>'REGION_POSITION_01'
,p_menu_id=>wwv_flow_api.id(8363670093933182)
,p_plug_source_type=>'NATIVE_BREADCRUMB'
,p_menu_template_id=>wwv_flow_api.id(8357644496933069)
,p_plug_query_row_template=>1
);
wwv_flow_api.create_page_plug(
 p_id=>wwv_flow_api.id(1978929519735718)
,p_plug_name=>'Gradebook Grades'
,p_region_template_options=>'#DEFAULT#'
,p_plug_template=>wwv_flow_api.id(8335865216932952)
,p_plug_display_sequence=>10
,p_include_in_reg_disp_sel_yn=>'N'
,p_plug_display_point=>'BODY'
,p_plug_source=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'SELECT',
'pgfinalgrades.finalgradename AS StoreCode,',
'pgfinalgrades.grade AS PGGrade,',
'pgfinalgrades.percent AS PGPercent,',
'sections.termid AS TermID,',
'sections.course_number AS Course_Number,',
'teachers.lastfirst AS Teacher,',
'courses.course_name AS Course_Name,',
'schools.abbreviation AS School,',
'FLOOR(sections.termid/100) AS Year,',
'students.lastfirst,',
'CASE',
'	WHEN students.grade_level = 99 THEN ''Gr''',
'	WHEN students.grade_level = 0 THEN ''K''',
'	ELSE to_char(students.grade_level)',
'	END AS Grade_Level',
'',
'FROM',
'pgfinalgrades',
'INNER JOIN sections ON PGFinalGrades.sectionid = sections.id',
'INNER JOIN teachers ON sections.teacher = teachers.id',
'INNER JOIN courses ON UPPER(sections.course_number) = UPPER(courses.course_number)',
'INNER JOIN schools ON sections.schoolid = schools.school_number',
'INNER JOIN students ON pgfinalgrades.studentid = students.id'))
,p_plug_source_type=>'NATIVE_IR'
,p_plug_query_row_template=>1
,p_plug_query_options=>'DERIVED_REPORT_COLUMNS'
);
wwv_flow_api.create_worksheet(
 p_id=>wwv_flow_api.id(1979053897735718)
,p_name=>'Gradebook Grades'
,p_max_row_count=>'100000'
,p_max_row_count_message=>'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.'
,p_no_data_found_message=>'No data found.'
,p_max_rows_per_page=>'1000'
,p_allow_save_rpt_public=>'Y'
,p_show_nulls_as=>'-'
,p_pagination_type=>'ROWS_X_TO_Y_OF_Z'
,p_pagination_display_pos=>'TOP_AND_BOTTOM_RIGHT'
,p_show_display_row_count=>'Y'
,p_report_list_mode=>'TABS'
,p_show_detail_link=>'N'
,p_download_formats=>'CSV:PDF'
,p_owner=>'JMORGAN'
,p_internal_uid=>1979053897735718
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1979447629735725)
,p_db_column_name=>'STORECODE'
,p_display_order=>1
,p_column_identifier=>'A'
,p_column_label=>'Storecode'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1979709454735725)
,p_db_column_name=>'PGGRADE'
,p_display_order=>2
,p_column_identifier=>'B'
,p_column_label=>'Pggrade'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1980122958735725)
,p_db_column_name=>'PGPERCENT'
,p_display_order=>3
,p_column_identifier=>'C'
,p_column_label=>'Pgpercent'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1980578148735725)
,p_db_column_name=>'TERMID'
,p_display_order=>4
,p_column_identifier=>'D'
,p_column_label=>'Termid'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1980969913735726)
,p_db_column_name=>'COURSE_NUMBER'
,p_display_order=>5
,p_column_identifier=>'E'
,p_column_label=>'Course Number'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1981308992735726)
,p_db_column_name=>'TEACHER'
,p_display_order=>6
,p_column_identifier=>'F'
,p_column_label=>'Teacher'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1981784657735726)
,p_db_column_name=>'COURSE_NAME'
,p_display_order=>7
,p_column_identifier=>'G'
,p_column_label=>'Course Name'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1982182612735726)
,p_db_column_name=>'SCHOOL'
,p_display_order=>8
,p_column_identifier=>'H'
,p_column_label=>'School'
,p_column_type=>'STRING'
,p_tz_dependent=>'N'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1966298787489205)
,p_db_column_name=>'YEAR'
,p_display_order=>18
,p_column_identifier=>'I'
,p_column_label=>'Year'
,p_column_type=>'NUMBER'
,p_column_alignment=>'RIGHT'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1966390076489206)
,p_db_column_name=>'LASTFIRST'
,p_display_order=>28
,p_column_identifier=>'J'
,p_column_label=>'Lastfirst'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_column(
 p_id=>wwv_flow_api.id(1966526037489208)
,p_db_column_name=>'GRADE_LEVEL'
,p_display_order=>38
,p_column_identifier=>'L'
,p_column_label=>'Grade level'
,p_column_type=>'STRING'
);
wwv_flow_api.create_worksheet_rpt(
 p_id=>wwv_flow_api.id(1982973132761093)
,p_application_user=>'APXWS_DEFAULT'
,p_report_seq=>10
,p_report_alias=>'19830'
,p_status=>'PUBLIC'
,p_is_default=>'Y'
,p_display_rows=>50
,p_report_columns=>'STORECODE:PGGRADE:PGPERCENT:TERMID:COURSE_NUMBER:TEACHER:COURSE_NAME:SCHOOL:YEAR:LASTFIRST'
,p_flashback_enabled=>'N'
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
